/**
 * OW2 Util
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: WebservicesEntityResolver.java 4619 2009-02-17 16:26:00Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ws.impl.xml.parsing;

import org.ow2.util.ee.metadata.common.impl.xml.parsing.IEntityResolver;
import org.ow2.util.xml.SchemaEntityResolver;

/**
 * Entity resolver allowing to find schema within the classloader.
 * @author Florent Benoit
 */
public class WebservicesEntityResolver extends SchemaEntityResolver implements IEntityResolver {

    /**
     * All schemas used by Webservices.
     */
    private static final String[] WS_SCHEMAS = new String[] {
            PREFIX + JAVAEE5_SCHEMA,
            PREFIX + J2EE14_SCHEMA,
            PREFIX + JAVAEE_WEBSERVICES12_SCHEMA,
            PREFIX + J2EE_WEBSERVICES11_SCHEMA,
            PREFIX + JAVAEE_WEBSERVICES_CLIENT_SCHEMA,
            PREFIX + J2EE_WEBSERVICES_CLIENT_SCHEMA,
            PREFIX + XML_SCHEMA };

    /**
     * Constructor. Finds the XSD with classloader.
     */
    public WebservicesEntityResolver() {
        super(WS_SCHEMAS);
    }

}
