/**
 * OW2 Util
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: ServiceImplBean.java 4493 2009-02-02 09:25:06Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ws.impl.xml.struct;

import org.ow2.util.ee.metadata.ws.api.xml.struct.IServiceImplBean;

/**
 * The ServiceImplBean is ...
 *
 * @author Guillaume Sauthier
 */
public class ServiceImplBean implements IServiceImplBean {

    /**
     * XML element's name.
     */
    public static final String NAME = "service-impl-bean";

    /**
     * Value of the <code>servlet-link</code> element (may be null).
     */
    private String servletLink;

    /**
     * Value of the <code>ejb-link</code> element (may be null).
     */
    private String ejbLink;

    public void setServletLink(String servletLink) {
        this.servletLink = servletLink;
    }

    public void setEjbLink(String ejbLink) {
        this.ejbLink = ejbLink;
    }

    public String getServletLink() {
        return servletLink;
    }

    public String getEjbLink() {
        return ejbLink;
    }
}
