/**
 * OW2 Util
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: WebserviceDescription.java 4493 2009-02-02 09:25:06Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ws.impl.xml.struct;

import org.ow2.util.ee.metadata.ws.api.xml.struct.IWebserviceDescription;
import org.ow2.util.ee.metadata.ws.api.xml.struct.IPortComponent;

import java.util.List;
import java.util.ArrayList;

/**
 * The WebserviceDescription is ...
 *
 * @author Guillaume Sauthier
 */
public class WebserviceDescription implements IWebserviceDescription {

    /**
     * XML element's name.
     */
    public static final String NAME = "webservice-description";

    /**
     * Name of this description.
     */
    private String name;

    /**
     * Value of the <code>wsdl-file</code> element (may be null).
     */
    private String wsdlFile;

    /**
     * List of childs port-components.
     */
    private List<IPortComponent> portComponents;

    /**
     * Default constructor.
     */
    public WebserviceDescription() {
        this.portComponents = new ArrayList<IPortComponent>();
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setWsdlFile(String wsdlFile) {
        this.wsdlFile = wsdlFile;
    }

    public void addPortComponent(IPortComponent portComponent) {
        this.portComponents.add(portComponent);
    }

    public String getName() {
        return name;
    }

    public String getWsdlFile() {
        return wsdlFile;
    }

    public List<IPortComponent> getPortComponents() {
        return portComponents;
    }
}
